var versionUpdate = function(){
	var isAndroid = isAndroidUser();
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
	 	var localVersion = inf.version;
	 	var curVersion = versionInfo();
	 	if(compareVersion(localVersion, curVersion.version)){
	 		//判断升级方式(0：提示  1：静默)
	 		if(curVersion.upgradeType == 0){
	 			plus.nativeUI.alert(curVersion.updateDesc,
					function(){
						if(isAndroid){
							downApp();
						}else{
							plus.nativeUI.showWaiting("版本更新中...");
							var url='https://itunes.apple.com/cn/app/id1341557643?mt=8';
							plus.runtime.openURL(url);	
						}
					}, "发现新版本", "立即升级"
				);
	 		}else if(curVersion.upgradeType == 1){
	 			//不区分Android 和 ios直接增量包更新(Android已测试,ios待测试)
	 			downAppWgt(curVersion.fileUrl);
	 		}
	 	}
	})
}

//判断是不是安卓系统
var isAndroidUser = function(){
	var osName = plus.os.name;
	var isAndroid = true;
	if(osName=="Android") {
		isAndroid= true;
	}else{
		isAndroid= false;	
	}
	return isAndroid;
}

//判断是否需要安装
var versionInfo = function(){
	var flag = null;
	$.ajax({
        type: "GET",
        url:BASE_PATH+"/rest/version/info",
        dataType:'json',
        async : false,
        success: function(data) {
			if(data.status){
				flag = data.data;		
			}
        }
    })
	return flag;
}

//下载后安装
var downApp = function(){
	var url="http://app.fangjia.com/download/youfang.apk"; //下载文件地址
	plus.nativeUI.showWaiting("版本更新中...");
	var dtask = plus.downloader.createDownload( url, {}, function ( d, status ) {
	    if (status == 200) {
	    	//下载成功
	    	install(d.filename);
	    } else {//下载失败
	        plus.nativeUI.alert("Download failed: " + status); 
	    }
	    plus.nativeUI.closeWaiting();
	});
	dtask.start();
}

//安装
function install(path){
    plus.nativeUI.showWaiting("安装apk文件...");
    plus.runtime.install(path,{},function(){
        plus.nativeUI.closeWaiting();
        plus.nativeUI.alert("应用资源更新完成！",function(){
            plus.runtime.restart();
        });
    },function(e){
        plus.nativeUI.closeWaiting();
        plus.nativeUI.alert("安装apk文件失败["+e.code+"]："+e.message);
    });
}

//静默安装下载
var downAppWgt = function(url){
	var dtask = plus.downloader.createDownload( url, {}, function ( d, status ) {
	    if (status == 200) {
	    	//下载成功
	    	installWgt(d.filename)
	    } else {
	    	//下载失败
	    }
	});
	dtask.start();
}

/**
 * 静默安装
 * force: (Boolean 类型 )是否强制安装
 * true表示强制安装，不进行版本号的校验；false则需要版本号校验
 * @param {Object} path
 */
function installWgt(path){
    plus.runtime.install(path, {force:true}, function(){
    	plus.runtime.restart();
    },function(e){
    	
    });
}

/**
 * 版本比较(添加时候已经控制版本格式xx.xx ~ xx.xx.xx)
 * @param {Object} _currentVersion 当前版本
 * @param {Object} _onLineVersion 系统最新上架版本
 */
function compareVersion(_currentVersion, _onLineVersion){
	try{
		var onLineVersion = _onLineVersion.split('.');
		var currentVersion = _currentVersion.split('.');
		//先比较第一位
		if(parseFloat(onLineVersion[0]) > parseFloat(currentVersion[0])){
			return true;
		}else if(parseFloat(onLineVersion[0]) == parseFloat(currentVersion[0])){
			//在比较第二位
			if(parseFloat(onLineVersion[1]) > parseFloat(currentVersion[1])){
				return true;
			}else if(parseFloat(onLineVersion[1]) == parseFloat(currentVersion[1])){
				//判断第三位是否存在,存在才可以进行比较
				if(onLineVersion.length > currentVersion.length){
					//如果当前输入的version大于maxVersion的length
					return true;
				}else if(onLineVersion.length == currentVersion.length){
					if(onLineVersion.length == 2){
						return false;
					}else{
						//当length相等,且存在第三位
						if(parseFloat(onLineVersion[2]) > parseFloat(currentVersion[2])){
							return true;
						}else if(parseFloat(onLineVersion[2]) == parseFloat(currentVersion[2])){
							return false;
						}else{
							return false;
						}
					}
				}else{
					//如果当前输入的version小于maxVersion的length
					return false;
				}
			}else{
				return false;
			}
		}else{
			return false;
		}
	}catch(e){
		return false;
	}
}