//定义对象
var assetsLevel = new Vue({
	el: '#assetsLevel',
	data: {
		level: "",//排名
		name: "",//昵称(有昵称显示昵称,没昵称显示手机号)
		assets: ""//总资产
	}
})

//用户资产排名查询请求
function initAssetsLevelDetail(){
	//清空ui下的li元素
	$('.list-container').children("li").remove();
	axios.get(BASE_PATH + "/rest/userAssetsLevel/list", 
		{
			params: {}
		}).then(function (response) {
			var resultsMap = response.data.data;
			var resultList = resultsMap.userAssetsLevelList;
			var userAssetsLevel = resultsMap.userAssetsLevel;
			//父页面已经判断处理, 这里不用考虑数据不存在的情况
			if(resultList != null && resultList.length > 0){
		    	addItems(resultList, userAssetsLevel);
			}
			//数据加载完成隐藏loading效果
			$('#loading').hide();
			$('#pageContent').show();
	}).catch(function (error) {
	   console.log(error);
	});
}

/* 分页构造数据 */
function addItems(resultList, userAssetsLevel) {
	var htmlContent = "";
	//控制个人部分显示
	assetsLevel.level = userAssetsLevel.level;
	assetsLevel.name = userAssetsLevel.name;
	assetsLevel.assets = userAssetsLevel.assets;
	for(var i in resultList) {
		var result = resultList[i];
		htmlContent += "<li><a class='item-content'><div class='item-inner'>";
		htmlContent += "<div class='item-subtitle row'><div class='col-20 tac'>";
		if(i == 0){
			htmlContent += "<img src='../../images/rankingImg01a.png'></div>";
		}else if(i == 1){
			htmlContent += "<img src='../../images/rankingImg02a.png'></div>";
		}else if(i == 2){
			htmlContent += "<img src='../../images/rankingImg03a.png'></div>";
		}else{
			htmlContent += Number(i)+1+"</div>";
		}
		htmlContent += "<div class='col-40'>"+result.name+"</div>";
		htmlContent += "<div class='col-40'>"+result.assets+"万元</div>";
		htmlContent += "</div></div></a></li>";
	}
	$('.list-container').append(htmlContent);
}

document.addEventListener('plusready', onPlusReady, false);

function onPlusReady(){
    //初始化数据
    initAssetsLevelDetail();
}
