// 加载flag
var mc_loading = false;
//分页部分参数定义
var mc_page;
var mc_pageSize;
var mc_totalPages;
var mc_totalRecords;
// 上次加载的序号
var mc_lastIndex;
// 每次加载添加多少条目
var mc_itemsPerLoad;
// 最多可加载的条目
var mc_maxItems = 100;

//我的收藏查询请求
function selectNewsCollectList(){
	axios.get(BASE_PATH + "/rest/news/collectList", 
		{
			params: {
		       page: mc_page,
		       pageSize: mc_pageSize
		    }
		}).then(function (response) {
			var resultList = response.data.data.list;
			if(resultList != null && resultList.length == 0){
				// 删除加载提示符
       			$('#loadTip3').remove();
	            // 加载完毕，则注销无限加载事件，以防不必要的加载
	            //$.detachInfiniteScroll($('.infinite-scroll'));
	            return;
			}
			if(response.data.data.currentPage == response.data.data.totalPages){
				//如果此次查询刚好是page = totalPages
				// 删除加载提示符
       			$('#loadTip3').remove();
	            // 加载完毕，则注销无限加载事件，以防不必要的加载
	            //$.detachInfiniteScroll($('.infinite-scroll'));
			}
			//封装list数据
			var dataObj = [];
			for(var i in resultList){
				dataObj.push(resultList[i])
			}
			// 上次加载的序号
			mc_lastIndex = $('.cardInfo').length;
			//每次加载添加多少条目
			mc_itemsPerLoad = resultList.length;
			//请求后对page进行赋值
			mc_page = response.data.data.currentPage;
			mc_pageSize = response.data.data.limit;
			mc_totalPages = response.data.data.totalPages;
			mc_totalRecords = response.data.data.totalRecords;
//			tab.mc_num = mc_totalRecords;
			$("#mc_num").html("收藏("+mc_totalRecords+")")
	    	mcAddItems(mc_itemsPerLoad, mc_lastIndex, dataObj);
	}).catch(function (error) {
	   console.log(error);
	});
}

function openUrl(url){
	clicked(url, true);
}

function openNewsView(newId) {
	clicked('/views/news/newsDetail.html', true, false, {}, {newsId:newId});
}

/* 分页构造数据 */
function mcAddItems(itemsPerLoad, lastIndex, dataObj) {
	var html = '';
	for(var i in dataObj) {
		if(dataObj[i].type == "专题") {
			html += '<div class="card cardInfo cardInfo01" onclick="openNewsView(\'' + dataObj[i].id + '\')">' +
				'<div class="card-header">' + dataObj[i].title + '</div>' +
				'<img src=' + dataObj[i].coverImg + '>' +
				'<div class="card-footer">' +
				'<span>' +
				'<i class="icon icon-eye-orange"></i><label id="visitCount_' + dataObj[i].id + '">' + dataObj[i].visitCount + '人</label>' +
				'<i class="icon icon-comments-orange"></i><label id="visitComment_' + dataObj[i].id + '">' + dataObj[i].recommendCommentCount + '条</label>' +
				'</span>' +
				'</div>' +
				'</div>';
		}
		if(dataObj[i].type == "推荐小区") {
			html += '<div class="card cardInfo cardInfo02" onclick="openUrl(\'' + BASE_PATH + '/district/details?city=' + dataObj[i].recommendDistrictCity + '&region=' + dataObj[i].recommendDistrictRegion + '&name=' + dataObj[i].recommendDistrictName + '\')">' +
				'<div class="card-content">' +
				'<div class="list-block media-list"><ul><li class="item-content">' +
				'<div class="item-media"><img src=' + dataObj[i].coverImg + '></div>' +
				'<div class="item-inner" style="padding-right:0;">' +
				'<div class="item-title-row"><div class="item-title">' + dataObj[i].recommendDistrictName + '</div>' +
				'<div class="item-after"><span>' + dataObj[i].recommendDistrictCity + '-' + dataObj[i].recommendDistrictRegion +
				'</span></div></div>';
			if(dataObj[i].recommendDistrictTags != "" && dataObj[i].recommendDistrictTags != null) {
				var arry = dataObj[i].recommendDistrictTags.split("_");
				html += '<div class="item-subtitle"><span class="tag">';
				for(var j in arry) {
					html += '<small>' + arry[j] + '</small>';
				}
				html += '</span></div>';
			}
			html += '<div class="item-subtitle"><span class="star">推荐指数：<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i></span></div>';
			if(dataObj[i].recommendDistrictPrice) {
				html += '<div class="item-subtitle"><em><strong>' + dataObj[i].recommendDistrictPrice + '</strong>元/㎡</em></div>';
			}
			html += '</div></li></ul></div></div></div>';
		}
		if(dataObj[i].type == "活动") {
			html += '<div class="card cardInfo cardInfo01 cardInfo01b"  onclick="openNewsView(\'' + dataObj[i].id + '\')">' +
				'<div class="card-header">' + dataObj[i].title + '</div>' +
				'<img src=' + dataObj[i].coverImg + '>' +
				'<div class="card-footer"><span>' + dataObj[i].introduction + '</span></div></div>';
		}
		if(dataObj[i].type == "推荐城市") {
			html += '<div class="card cardInfo cardInfo01 cardInfo01a" onclick="openUrl(\'' + BASE_PATH + '/quotations/building?cityName=' + dataObj[i].recommendCity + '\')">' +
				'<div class="card-header">推荐城市——' + dataObj[i].recommendCity + '</div>';
			if(dataObj[i].recommendCityTags != "" && dataObj[i].recommendCityTags != null) {
				var arry = dataObj[i].recommendCityTags.split("_");
				html += '<div class="card-content"><div class="card-content-inner"><span class="tag">';
				for(var j in arry) {
					html += '<small>' + arry[j] + '</small>';
				}
				html += '</span></div></div>';
			}
			html += '<img src=' + dataObj[i].coverImg + '>' +
				'<div class="card-footer"><span>均价：<em>' + dataObj[i].recommendCityAvgPrice + '元/㎡</em></span>' +
				'<span class="star">潜力指数：';
			if(dataObj[i].recommendCityIndex < 4) {
				html += '<i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 5 && dataObj[i].recommendCityIndex < 15) {
				html += '<i class="icon icon-star02"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 15 && dataObj[i].recommendCityIndex < 25) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 25 && dataObj[i].recommendCityIndex < 35) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star02"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 35 && dataObj[i].recommendCityIndex < 45) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 45 && dataObj[i].recommendCityIndex < 55) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star02"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 55 && dataObj[i].recommendCityIndex < 65) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 65 && dataObj[i].recommendCityIndex < 75) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star02"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 75 && dataObj[i].recommendCityIndex < 85) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i>';
			} else if(dataObj[i].recommendCityIndex >= 85 && dataObj[i].recommendCityIndex < 95) {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star02"></i>';
			} else {
				html += '<i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i>';
			}
			html += '</span></div><div class="card-footer" style="margin-top:-0.75rem;">';
			if(dataObj[i].recommendCityYoy) {
				html += '<span>近1年涨跌幅：';
				if(dataObj[i].recommendCityYoy > 0) {
					html += '<strong>' + (dataObj[i].recommendCityYoy * 100).toFixed(2) + '%</strong><i class="icon icon-arrow-red"></i>';
				} else {
					html += '<strong>' + (dataObj[i].recommendCityYoy * 100).toFixed(2) + '%</strong><i class="icon icon-arrow-green"></i>';
				}
				html += '</span>';
			}
			if(dataObj[i].recommendCityIndexTrend) {
				html += '<span>';
				if(dataObj[i].recommendCityIndexTrend >= 0) {
					html += '上涨概率：<strong>' + dataObj[i].recommendCityIndexTrend + '%</strong><i class="icon icon-arrow-red"></i>';
				} else {
					html += '下跌概率：<strong>' + dataObj[i].recommendCityYoy * (-1) + '%</strong><i class="icon icon-arrow-green"></i>';
				}
				html += '</span>';
			}
			html += '</div></div>';
		}
		if(dataObj[i].type == "新闻") {
			html += '<div class="card cardInfo cardInfo02" onclick="openNewsView(\'' + dataObj[i].id + '\')"><div class="card-content"><div class="list-block media-list">' +
				'<ul><li class="item-content">' +
				'<div class="item-inner"><div class="item-title-row"><div class="item-title">' +
				dataObj[i].title + '</div></div>' +
				'<div class="item-subtitle"><font>' + dataObj[i].introduction + '</font></div>' +
				'<div class="item-subtitle"><span><i class="icon icon-eye-orange"></i><label id="visitCount_' + dataObj[i].id + '">' + dataObj[i].visitCount + '人</label>' +
				'<i class="icon icon-comments-orange"></i><label id="visitComment_' + dataObj[i].id + '">' + dataObj[i].recommendCommentCount + '条</label></span></div></div>' +
				'<div class="item-media"><img src=' + dataObj[i].coverImg + '></div>' +
				'</li></ul></div></div></div>';
		}
		if(dataObj[i].type == "投票") {
			var voteFavorCount = dataObj[i].voteFavorCount;
			var voteNoFavorCount = dataObj[i].voteNoFavorCount;
			var voteFavorCountRate = 50
			var voteNoFavorCountRate = 50
			if(voteFavorCount == 0 && voteNoFavorCount == 0) {

			} else {
				voteFavorCountRate = Math.round((voteFavorCount * 100) / (voteFavorCount + voteNoFavorCount));
				voteNoFavorCountRate = 100 - voteFavorCountRate;
			}

			html += '<div class="card cardInfo cardInfo03"><div class="card-header">' + dataObj[i].title +
				'</div><div class="card-content"><div class="card-content-inner row"><div class="vote01 col-50">' +
				'<i class="icon icon-light-red" data-val="' + dataObj[i].id + '"></i><span>' + dataObj[i].voteFavorText + '</span>' +
				'<font style="width:' + voteFavorCountRate + '%;" id="voteFavorCountRate_' + dataObj[i].id + '"></font><label id="voteFavorCount_' + dataObj[i].id + '">' + voteFavorCount + '票&nbsp;&nbsp;' + voteFavorCountRate + '%</label></div>' +
				'<div class="vote02 col-50"><i class="icon icon-light-grey" data-val="' + dataObj[i].id + '"></i><span>' + dataObj[i].voteNoFavorText + '</span>' +
				'<font style="width:' + voteNoFavorCountRate + '%;" id="voteNoFavorCountRate' + dataObj[i].id + '"></font><label id="voteNoFavorCount_' + dataObj[i].id + '">' + voteNoFavorCount + '票&nbsp;&nbsp;' + voteNoFavorCountRate + '%</label></div><em>V.S</em></div></div></div>';
		}
	}
	$('#myColect').append(html);
}