// 加载flag
var mh_loading = false;

//分页部分参数定义
var mh_page;
var mh_pageSize;
var mh_totalPages;
var mh_totalRecords;

// 上次加载的序号
var mh_lastIndex;
// 每次加载添加多少条目
var mh_itemsPerLoad;
// 最多可加载的条目
var mh_maxItems = 100;

//我的收藏查询请求
function selectHouseInfoList(){
	axios.get(BASE_PATH + "/rest/index/ourHouseInfoList", 
		{
			params: {
		       page: mh_page,
		       pageSize: mh_pageSize
		    }
		}).then(function (response) {
			var resultsMap = response.data.data;
			var resultList = resultsMap.houseInfoPageList.list;
			var xqOneMonthUpDownRangeMap = resultsMap.xqOneMonthUpDownRangeMap;
			var xqPotentialIndexMap = resultsMap.xqPotentialIndexMap;
			var houseInfoTotalMap = resultsMap.houseInfoTotalMap;
			//调整统计num的顺序
			mh_totalRecords = resultsMap.houseInfoPageList.totalRecords;
//			tab.mh_num = mh_totalRecords;
			$("#mh_num").html("房产("+mh_totalRecords+")")
			if(resultList != null && resultList.length == 0){
				// 删除加载提示符
				$('#loadTip1').hide();
				//$('#loadTip1').remove();
       			//$('.infinite-scroll-preloader').remove();
	            // 加载完毕，则注销无限加载事件，以防不必要的加载
	            //$.detachInfiniteScroll($('.infinite-scroll'));
	            return;
			}
			if(resultsMap.houseInfoPageList.currentPage == resultsMap.houseInfoPageList.totalPages){
				//如果此次查询刚好是page = totalPages
				// 删除加载提示符
				$('#loadTip1').hide();
				//$('#loadTip1').remove();
       			//$('.infinite-scroll-preloader').remove();
	            // 加载完毕，则注销无限加载事件，以防不必要的加载
	            //$.detachInfiniteScroll($('.infinite-scroll'));
			}
			//封装list数据
			var dataObj = [];
			for(var i in resultList){
				dataObj.push(resultList[i])
			}
			// 上次加载的序号
			mh_lastIndex = $('.cardInfo').length;
			//每次加载添加多少条目
			mh_itemsPerLoad = resultList.length;
			//请求后对page进行赋值
			mh_page = resultsMap.houseInfoPageList.currentPage;
			mh_pageSize = resultsMap.houseInfoPageList.limit;
			mh_totalPages = resultsMap.houseInfoPageList.totalPages;
	    	mhAddItems(mh_itemsPerLoad, mh_lastIndex, dataObj, xqOneMonthUpDownRangeMap, xqPotentialIndexMap, houseInfoTotalMap);
	}).catch(function (error) {
	   console.log(error);
	});
}

/* 分页构造数据 */
function mhAddItems(itemsPerLoad, lastIndex, dataObj, xqOneMonthUpDownRangeMap, xqPotentialIndexMap, houseInfoTotalMap) {
	var html = '';
	for(var i in dataObj) {
		var result = dataObj[i];
		
		//可抵押贷额度
		var tempTotalPricePercent = (result.totalPrice) == 0?"暂无":(parseFloat(result.totalPrice)*0.7/10000).toFixed(2)+"万";
		var tempTotalPrice = (result.totalPrice) == 0?"暂无":(parseFloat(result.totalPrice)/10000).toFixed(2)+"万";
		
		html += '<li><a href="#" onclick="gotoHouseDetail(\''+result.id+'\')" class="item-content">';
		html += "<div class='item-inner'><div class='item-title-row'>";
		html += "<div class='item-title'><label>"+result.name+"</label> <em>"+tempTotalPrice+"</em><span class='tag'>";
		
		if(result.liveStatus!=null && result.liveStatus.length>0){
			html += "<small>"+result.liveStatus+"</small></span></div>";
		}else{
			html += "<small>其它</small></span></div>";
		}
		html +=	"</div><div class='item-subtitle'>";
		
		//对应城市地区小区30天涨跌幅
 		var xqOneMonthUpDownRangeKey = result.city+"-"+result.region +"-"+result.name;
 		var xqOneMonthUpDownRangeValue = xqOneMonthUpDownRangeMap[xqOneMonthUpDownRangeKey];
 		if(!isNaN(xqOneMonthUpDownRangeValue)){
 			//涨跌幅大于零
 			if(parseFloat(xqOneMonthUpDownRangeValue)>=0){
 				html += "<div>近30天涨跌幅: <em class='up'>"+xqOneMonthUpDownRangeValue+"%<i class='icon icon-arrow-red'></i></em></div>";
 			}else{
 				html += "<div>近30天涨跌幅: <em class='down'>"+Math.abs(xqOneMonthUpDownRangeValue)+"%<i class='icon icon-arrow-green'></i></em></div>";
 			}
 		}else{
 			html += "<div>近30天涨跌幅: <em class='down'>暂无<i class='icon'></i></em></div>";
 		}
 		
 		//下跌概率
 		var xqPotentialIndexValue = xqPotentialIndexMap[xqOneMonthUpDownRangeKey];
		if(!isNaN(xqPotentialIndexValue)){
 			//涨跌幅大于零
 			if(parseInt(xqPotentialIndexValue)>=50){
 				html += "<div>上涨概率: <em class='up'>"+xqPotentialIndexValue+"%<i class='icon icon-arrow-red'></i></em></div>";
 			}else{
 				html += "<div>下跌概率: <em class='down'>"+(parseInt(100)-parseInt(xqPotentialIndexValue))+"%<i class='icon icon-arrow-green'></i></em></div>";
 			}
 		}else{
 			html += "<div>下跌概率: <em class='down'>暂无<i class='icon'></i></em></div>";
 		}
 		if(localStorage.getItem("showLoanMenu")!=null && localStorage.getItem("showLoanMenu")=="true"){
 			html += "<div>抵押可贷额度:  <em style='color:#EB5F34;'>"+tempTotalPricePercent+"</em></div></div></div></a>";
 		}
		html += "</div></div></a>";
		
		//调整最新的等级显示(其它等级不显示start)
		if(result.level!=null && result.level == 1){
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>豪宅级</a>";
			html += '<a class="starBox">房屋评级<span class="star"><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i></span></a>';
		}else if(result.level!=null && result.level == 2){
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>公寓级</a>";
			html += '<a class="starBox">房屋评级<span class="star"><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i></span></a>';
		}else if(result.level!=null && result.level == 3){
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>平房级</a>";
			html += '<a class="starBox">房屋评级<span class="star"><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i></span></a>';
		}else if(result.level!=null && result.level == 4){
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>草屋级</a>";
			html += '<a class="starBox">房屋评级<span class="star"><i class="icon icon-star01"></i><i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i></span></a>';
		}else if(result.level!=null && result.level == 5){
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>山洞级</a>";
			html += '<a class="starBox">房屋评级<span class="star"><i class="icon icon-star01"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i><i class="icon icon-star"></i></span></a>';
		}else{
			//html += "<a class='add alert-text-title'><i class='icon icon-houseLevel'></i>其它</a>";
		}
		
		//控制贷款按钮是否可以显示,便于ios版本审核
		if(localStorage.getItem("showLoanMenu")!=null && localStorage.getItem("showLoanMenu")=="true"){
			html +=	'<a class="button theme add add01 add01a" href="#" onclick="gotoLoanApply(\''+result.id+'\', \''+result.city+'\')">立即申请</a>';
		}
		html +=	"<i class='delete confirm-ok' id="+result.id+"></i></li>";
	}
	$('#myhouse').append(html);
}