var distDatas = {nearDists: []}
Vue.component('near-dist-component', {
  template: `
   			<div class="topic" id="nearDistDiv">
      			<div class="topicTitle">附近小区</div>
				<div class="topicContent" style="padding:0;">
      				<div class="cardNearbyBox cardNearbyBox01">
						<div class="cardNearbyWin">
							
							<div class="card cardNearby" v-for="(dist,index) in nearDists" @click="showDistrict(index)">
								<div class="card-header">{{dist.sname}}</div>
								<div class="card-content">
									<div class="card-content-inner">{{dist.avgPrice?(dist.avgPrice+"元/㎡"):'暂无'}}</div>
								</div>
								<div class="card-footer">距该小区{{dist.distance}}米</div>
							</div>
							
						</div>
					</div>
				</div>
			</div>
  `,
  data: function(){
    return distDatas;
  },
  methods: {
  	loadNearDistrict:function(){
			axios.get("/rest/districts/nearDistrict", {
			    params: {
			       	city: city,
	      			region:region,
	      			name: name
			    }
			}).then(function (response) {
				var datas = response.data.data
				if(datas){
					var ret = []
					for(var v in datas){
						var o = datas[v]
						if(o.city == city && o.district == region && o.name == name){
							continue;
						}else{
							var textName = o.name;
				   		var length = textName.length;
							var textStr = textName;
							if(length > 5){
								textStr = textName.substr(0,5)+ "...";
							}
							o.sname=textStr;
							if(ret.length <= 5){
								ret.push(o);
							}
						}
					}
					distDatas.nearDists = ret;
					
					$("#nearDistDiv .cardNearbyWin").css("width",(7.5*ret.length)+"rem");
				}else{
					$("#nearDistDiv").hide()
				}
				
			}).catch(function (error) {
			   console.log(error);
			});
		},
		showDistrict:function(index){
			clicked('../district/detail.html',true,false,{},{city:distDatas.nearDists[index].city,region:distDatas.nearDists[index].district,name:distDatas.nearDists[index].name});
		}
  },
	mounted:function(){
  		this.loadNearDistrict();
  	}	
})